package com.hzya.frame.u8c.salesBilling.dao.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.mdm.mdmModule.entity.MdmModuleEntity;
import com.hzya.frame.u8c.salesBilling.dao.IU8cSalesBillingDao;
import com.hzya.frame.u8c.salesBilling.entity.U8cSalesBillingEntity;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository(value = "U8cSalesBillingDaoImpl")
public class U8cSalesBillingDaoImpl extends MybatisGenericDao<U8cSalesBillingEntity, String> implements IU8cSalesBillingDao{
    @DS("#entity.dataSourceCode")
    @Override
    public List<U8cSalesBillingEntity> queryDoSalesBilling(U8cSalesBillingEntity entity) {
        List<U8cSalesBillingEntity> o = (List<U8cSalesBillingEntity>) super.selectList(getSqlIdPrifx() + "queryDoSalesBilling", entity);
        return o;
    }


    @DS("#entity.dataSourceCode")
    @Override
    public int updateDoSalesBilling(U8cSalesBillingEntity entity) {
        Integer o = super.update(getSqlIdPrifx() + "updateDoSalesBilling", entity);
        return o;
    }
}

